package com.myoa.engineering.crawl.shopping.event.handler;

import com.myoa.engineering.crawl.shopping.event.ArticleUpsertEvent;
import com.myoa.engineering.crawl.shopping.service.SubscribedKeywordQueryService;
import org.ahocorasick.trie.Trie;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;

@Component
public class ArticleUpsertEventListener {

    private final SubscribedKeywordQueryService subscribedKeywordQueryService;

    public ArticleUpsertEventListener(SubscribedKeywordQueryService subscribedKeywordQueryService) {
        this.subscribedKeywordQueryService = subscribedKeywordQueryService;
    }

    @EventListener
    public void handleArticleUpsertEvent(ArticleUpsertEvent event) {

        System.out.println("event = " + event);
    }
}
